using System;
using System.Collections.Generic;
using TheGameExtreme.model.card;

namespace TheGameExtreme.model.piles
{
    public abstract class Piles
    {

        protected List<Stack<Card>> ListOrderedStacks { get; set; } = new List<Stack<Card>>();
        public int Size { get; set; }

        public Piles(int nbPile)
        {
            Size = nbPile;
            for (int i = 0; i < nbPile; i++)
            {
                ListOrderedStacks.Add(new Stack<Card>());
            }
        }

        public Stack<Card> getStack(int i)
        {
            return ListOrderedStacks[i];
        }
    }
}
